<?php 

/*************************************************/
/*  FONCTION D'IDENTIFICATION D'UN COMPTE ADMIN  */
/*************************************************/
function admin_identification($connexion_mysql, $compte_nom_utilisateur, $compte_mot_passe){

	global $erreur_message;
	global $erreur_css;

	if(strlen(trim($compte_nom_utilisateur))!=0 OR strlen(trim($compte_mot_passe))!=0){

		$requete_comptes = mysqli_query($connexion_mysql, 'SELECT compte_id, compte_nom_utilisateur, compte_mot_passe, compte_type, compte_acces_modules, compte_acces_rubriques FROM admin_comptes WHERE compte_nom_utilisateur="'.$compte_nom_utilisateur.'"  LIMIT 1');
		$nb_comptes = mysqli_num_rows($requete_comptes);
		if($nb_comptes==0){
			$erreur_message .= "Le nom d'utilisateur est incorrect.";
			$erreur_css[] = 'compte_nom_utilisateur';
			return false;
		}else{
			$resultat_compte = mysqli_fetch_array($requete_comptes);
			if(md5($compte_mot_passe) != $resultat_compte['compte_mot_passe']){
				$erreur_message .= 'Le mot de passe est incorrect.';
				$erreur_css[] = 'compte_mot_passe';
				return false;
			}else{

				$compte_acces_modules_tab = explode(',', $resultat_compte['compte_acces_modules']);
				$compte_acces_rubriques_tab = explode(',', $resultat_compte['compte_acces_rubriques']);

				// Enregistrement des variables de session
				$_SESSION['SessionADMIN_compte_id'] = $resultat_compte['compte_id'];
				$_SESSION['SessionADMIN_compte_nom_utilisateur'] = $resultat_compte['compte_nom_utilisateur'];
				$_SESSION['SessionADMIN_compte_type'] = $resultat_compte['compte_type'];
				$_SESSION['SessionADMIN_compte_acces_modules'] = $compte_acces_modules_tab;
				$_SESSION['SessionADMIN_compte_acces_rubriques'] = $compte_acces_rubriques_tab;

				if($_SESSION['SessionADMIN_compte_type']!='superviseur'){
					$requete_trace = mysqli_query($connexion_mysql, 'INSERT INTO admin_traces (trace_compte, trace_datetime_connexion) VALUES("'.$_SESSION['SessionADMIN_compte_id'].'", "'.date('Y-m-d H:i:s').'")');
				}

				$_SESSION['SessionADMIN_connexion_id'] = mysqli_insert_id($connexion_mysql);

				return true;

			}
		}

	}

}


/***************************************************************/
/*  FONCTION DE RECUPERATION DES PARAMETRES D'UN COMPTE ADMIN  */
/***************************************************************/
function admin_parametres_acces($connexion_mysql, $compte_email){

	global $erreur_message;
	global $erreur_css;

	global $compte_id;
	global $compte_nom_utilisateur;

	if(strlen(trim($compte_email))!=0){

		$requete_comptes = mysqli_query($connexion_mysql, 'SELECT compte_id, compte_nom_utilisateur FROM admin_comptes WHERE compte_email="'.$compte_email.'"  LIMIT 1');
		$nb_comptes = mysqli_num_rows($requete_comptes);
		if($nb_comptes==0){
			$erreur_message .= "L'adresse e-mail est inconnue.";
			$erreur_css[] = 'compte_email';
			return false;
		}else{
			$resultat_compte = mysqli_fetch_array($requete_comptes);

			$compte_id = $resultat_compte['compte_id'];
			$compte_nom_utilisateur = $resultat_compte['compte_nom_utilisateur'];

			return true;
		}

	}

}


/*********************************************************************************************************/
/*  FONCTION DE VERIFICATION DU NOM D'UTILISATEUR ET DE LA CLE POUR REMPLACEMENT DU MOT DE PASSE OUBLIE  */
/*********************************************************************************************************/
function admin_verification_login_oublie($connexion_mysql, $compte_id, $cle){

	if(strlen(trim($compte_id))!=0 AND strlen(trim($cle))!=0){

		$requete_comptes = mysqli_query($connexion_mysql, 'SELECT compte_nom_utilisateur FROM admin_comptes WHERE compte_id="'.$compte_id.'"');
		$nb_comptes = mysqli_num_rows($requete_comptes);
		if($nb_comptes!=0){
			$resultat_compte = mysqli_fetch_array($requete_comptes);
			$compte_nom_utilisateur = $resultat_compte['compte_nom_utilisateur'];

			if(substr($compte_nom_utilisateur, 2, 4)==$cle){
				$resultat = 'parametres_corrects';
			}else{
				$resultat = 'parametres_incorrects';
			}


		}else{
			$resultat = 'parametres_incorrects';
		}

	}else{
		$resultat = 'parametres_incorrects';
	}

	return $resultat;

}



/*********************************************************************/
/*  FONCTION DE VERIFICATION DU NOM D'UTILISATEUR DES COMPTES ADMIN  */
/*********************************************************************/
function admin_verification_login($connexion_mysql, $compte_nom_utilisateur, $compte_nom_utilisateur_ancien=''){

	if(strlen(trim($compte_nom_utilisateur))!=0){

		if(strlen(trim($compte_nom_utilisateur_ancien))!=0){ $requete_critere = ' AND compte_nom_utilisateur<>"'.$compte_nom_utilisateur_ancien.'"'; }else{ $requete_critere = ''; }

		$requete_comptes = mysqli_query($connexion_mysql, 'SELECT compte_id FROM admin_comptes WHERE compte_nom_utilisateur="'.$compte_nom_utilisateur.'"'.$requete_critere);
		$nb_comptes = mysqli_num_rows($requete_comptes);
		if($nb_comptes!=0){
			return false;
		}else{
			return true;
		}

	}

}
?>